# $Revision: 1.31.2.1 $, $Date: 2006/04/19 20:17:12 $
Summary:	Great website copier for offline browsing
Summary(pl):	Narzdzie do cigania stron w celu ich przegldania offline
Name:		httrack
Version:	3.32
Release:	4
License:	GPL
Group:		Applications/Networking
Source0:	http://www.httrack.com/%{name}-%{version}.tar.gz
# Source0-md5:	f35ae93da749b89c0c18ab50eb892c15
Source1:	%{name}.conf
Patch0:		%{name}-desktop.patch
URL:		http://www.httrack.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTTrack is an easy-to-use offline browser utility. It allows you to
download a World Wide website from the Internet to a local directory,
building recursively all directories, getting html, images, and other
files from the server to your computer. HTTrack arranges the original
site's relative link-structure. Simply open a page of the "mirrored"
website in your browser, and you can browse the site from link to
link, as if you were viewing it online. HTTrack can also update an
existing mirrored site, and resume interrupted downloads. HTTrack is
fully configurable.

%description -l pl
HTTrack jest atwym w uyciu narzdziem do przegldania offline.
Pozwala na cignicie kopii serwera na dysk lokalny, wraz z tekstami
i obrazkami, aby mc je pniej oglda przegldark offline. Program
ten jest odpowiednikiem Teleporta(TM) pod Windows(TM). HTTrack
umoliwia rwnie uaktualnienie wczeniej cignitych stron,
dogrywajc na dysk lokalny jedynie rnice pomidzy star a now ich
wersj.

%package devel
Summary:	HTTtack header files
Summary(pl):	Pliki nagwkowe HTTrack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for developing applications that use HTTrack.

%description devel -l pl
Pliki nagwkowe konieczne do rozwoju aplikacji uywajcych HTTrack.

%package static
Summary:	Static httrack library
Summary(pl):	Statyczna biblioteka httrack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static httrack library.

%description static -l pl
Statyczna biblioteka httrack.

%package web
Summary:	Web frontend server to httrack
Summary(pl):	Graficzny interfejs do httrack przez przegldark WWW
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description web
This package is a web frontend server to httrack.

%description web -l pl
Graficzny interfejs do httrack przez przegldark WWW.

%prep
%setup -q -n %{name}-%{version}.03
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

rm -f {html,libtest,templates}/Makefile*
rm -f $RPM_BUILD_ROOT%{_libdir}/httrack/lib*.{la,a}
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/html
mkdir $RPM_BUILD_ROOT%{_datadir}/%{name}/html
mv -f $RPM_BUILD_ROOT%{_datadir}/doc/httrack/html/server $RPM_BUILD_ROOT%{_datadir}/%{name}/html

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc templates README greetings.txt history.txt httrack-doc.html
%doc html/images html/img html/*.html
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httrack.conf
%attr(755,root,root) %{_bindir}/httrack
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/httrack
%attr(755,root,root) %{_libdir}/httrack/lib*.so*
%{_mandir}/man1/httrack.1*

%files devel
%defattr(644,root,root,755)
%doc libtest
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/httrack

%files static
%defattr(644,root,root,755)
%{_libdir}/libhttrack.a

%files web
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/webhttrack
%attr(755,root,root) %{_bindir}/htsserver
%{_datadir}/%{name}
%{_mandir}/man1/htsserver.1*
%{_mandir}/man1/webhttrack.1*
%{_pixmapsdir}/%{name}.xpm
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: httrack.spec,v $
Revision 1.31.2.1  2006/04/19 20:17:12  ankry
- rel. 4

Revision 1.31  2005/02/23 20:27:31  darekr
- verify() for config

Revision 1.30  2004/09/20 11:28:38  ankry
- pl fix, rel. 3

Revision 1.29  2004/09/20 08:52:51  ankry
- added -desktop patch, rel. 2

Revision 1.28  2004/07/18 20:50:21  wolf
- release 1

Revision 1.27  2004/06/18 22:38:23  qboosh
- -web summary cosmetics

Revision 1.26  2004/06/18 19:01:09  kolodko
- subpackage web needs html/server/*.html
- rel 0.3

Revision 1.25  2004/06/17 09:28:27  qboosh
- fixed build, package modules

Revision 1.24  2004/06/06 18:09:32  qboosh
- missing dir, strict internal deps, capitals

Revision 1.23  2004/06/06 08:45:57  kolodko
- s/perl/perl-base/ -> BR

Revision 1.22  2004/06/05 23:46:36  kolodko
- added subpackage web
- cosmetic in %doc
- cosmetic in BR

Revision 1.21  2004/05/27 18:25:17  pawcioos
- updated to 3.32

Revision 1.20  2003/12/25 19:49:31  domelu
- updated to 3.30
- rel 0.1

Revision 1.19  2003/08/18 08:08:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.17  2003/06/27 09:06:41  gotar
- release 1

Revision 1.16  2003/06/27 09:00:19  qboosh
- libtoolize, separated -static, fixed file lists

Revision 1.15  2003/06/26 21:12:49  gotar
- upgraded to 3.23,
- BR: autoconf, automake,
- derived devel subpackage,
- TODO: check it;)

Revision 1.14  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:48:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/08/07 03:11:58  kloczek
- release 3.

Revision 1.11  2002/06/06 21:50:17  qboosh
- fixed %%build, new %%doc

Revision 1.10  2002/04/25 16:34:33  arturs
fixed a small typo

Revision 1.9  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/08 09:25:49  qboosh
- added pl summary, fixed pl description (it's not browser); release 2

Revision 1.6  2002/01/06 13:54:03  kloczek
- reverte using %%configure macro.

Revision 1.5  2002/01/06 12:37:56  serek
- polish translation of description and %configure cosmetics.

Revision 1.4  2002/01/06 12:15:04  kloczek
- cosmetics,
- remove COPYING and INSTALL from %doc.

Revision 1.3  2002/01/06 11:46:01  serek
- finally adapterized.

Revision 1.2  2002/01/06 11:02:50  serek
- added missed ldconfig.

Revision 1.1  2002/01/06 10:43:23  serek
- new package in PLD,
- big rewite from mandrake spec file,
- STBR.

* Thu Apr 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.00-2mdk
  - added in contribs by Pierre-Michel THEVENY <pmt@mnhn.fr> :
        - Fix files permissions
        - Rebuild on Mandrake 8.0 (rpm-4.0)
